Skip to main content
POST
Set an encrypted card PIN

Path Parameters

card_id
string<uuid>
required

The card ID.

Body

application/json

Encrypted session key and encrypted PIN block.

encrypted_key
string
required

Base64-encoded RSA-OAEP encrypted AES-256 session key.

encrypted_pin
string
required

AES-GCM encrypted PIN in PIN Block 2 format (Base64-encoded).

iv
string
required

Base64-encoded initialization vector used for AES-GCM encryption.

key_id
string
required

Id of the encryption_keys entry that wrapped encrypted_key.

Response

There is no content to send for this request, but the headers may be useful.